clc
clear
A=load('Wasp19.txt');
t=A(:,1)';
Broadband=A(:,2)';
DATA=A(:,3:end)';


%PrepareData(NAME,DATA,t,Period,MidTransit,Inclination,LLD,QLD,ap,p)
PrepareData('Wasp19',DATA,t,0.7888399,0.77722,80.36,0.225,0.391,3.656,0.1416);
PrepareData('Wap19_Broadband',Broadband,t,0.7888399,0.77722,80.36,0.225,0.391,3.656,0.1416);

RunExperiment('Wap19_Broadband','N');


%PrepareMonteCarlos(NAME,N,RedNoise,WhiteNoise,UseJKTEBOP)
PrepareMonteCarlo('Wap19_Broadband',1000,0.5,0.5,true);


RunExperiment('Wap19_Broadband_MC','H',10:10:80,1:63);
RunExperiment('Wap19_Broadband_MC','HRR',10:10:80,1:63);

%[RBG,COF]=FindFilter(NAME,flag,RBG_range,COF_range)
[RBG_H,COF_H]=FindFilter('Wap19_Broadband_MC','H',10:10:80,1:63);
[RBG_HRR,COF_HRR]=FindFilter('Wap19_Broadband_MC','HRR',10:10:80,1:63);

RunExperiment('Wap19_Broadband','H',RBG_H,COF_H);
RunExperiment('Wap19_Broadband','HRR',RBG_HRR,COF_HRR);

RunExperiment('Wasp19','H',RBG_H,COF_H);
RunExperiment('Wasp19','HRR',RBG_HRR,COF_HRR);



RunExperiment('Wap19_Broadband','N9');
RunExperiment('Wap19_Broadband','H9',RBG_H,COF_H);
RunExperiment('Wap19_Broadband','HRR9',RBG_HRR,COF_HRR);

RunExperiment('Wasp19','N9');
RunExperiment('Wasp19','H9',RBG_H,COF_H);
RunExperiment('Wasp19','HRR9',RBG_HRR,COF_HRR);





